Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.tpm.management.configuration
Interface TransportMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.descriptor.SettableBean, TPMBaseMBean, weblogic.management.WebLogicMBean

    public interface TransportMBean

extends TPMBaseMBean

This class configuration attributes for transport level properties and receiving endpoint for a binding

Field Summary
`static String` | `HTTP`
`static String` | `HTTPS`
`static String` | `JMS`

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`void` | `addBasicAuthentication(String clientTpName, String userName, String password, String passwordAlias)` Deprecated. - remove password when pw store is completed
`void` | `addMutualAuthentication(String clientTPName, String clientCertName, String serverCertName)` Adds mutual authentication for the client trading partner.
`void` | `addOneWayAuthentication(String clientTPName, String serverCertName)` Adds oneway authentication for the client trading partner.
`void` | `addOneWayWithBasicAuthentication(String clientTPName, String serverCertName, String userName, String password, String passwordAlias)` Deprecated. - remove password when pw store completed
`void` | `addReferenceToAuthentication(AuthenticationMBean mbean)` Internal Use Only - Adds Reference to authentication instance
`String` | `getEndPoint()` Specifies the URL for this transport endpoint
`String` | `getProtocol()` Specifies the transport protocol for this binding.
`String` | `getProtocolVersion()` Specifies the transport protocol version .
`String` | `getTimeout()` Specifies the timeout for this transport endpoint
`long` | `getTimeoutAsSeconds()` Specifies the timeout as seconds
`void` | `removeAllAuthentication()` Removes all the Authentication for this endpoint
`void` | `removeAuthentication(String clientTPName)` Removes the authentication for this endpoint for the client trading partner
`ArrayList` | `retrieveAllAuthentications()` Retrieves all the authentication for this endpoint
`AuthenticationMBean` | `retrieveAuthentication(String clientTPName)` Retrieves the configured authentication instance for the client trading partner
`BindingMBean` | `retrieveBinding()` Internal Use Only - Retrieves the binding associated for this transport
`void` | `setEndPoint(String newValue)` Registers the URL for the Endpoint.
`void` | `setProtocol(String newValue)` Registers the transport for this binding.
`void` | `setProtocolVersion(String newValue)` Registers the transport protocol version.
`void` | `setTimeout(String newValue)` REgisters the timeout for the Endpoint
`void` | `updateAll(String protocol, String protocolVersion, String endpoint, String timeout)` Updates the transport.

Methods inherited from interface com.bea.wli.tpm.management.configuration.TPMBaseMBean
`fromXML, getDelegateObject, isActive, publish, remove, setActive, setDelegateObject, toXML, toXMLInternal, update, updateInternal`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### HTTP

    static final String HTTP

See Also:
  Constant Field Values

### HTTPS

    static final String HTTPS

See Also:
  Constant Field Values

### JMS

    static final String JMS

See Also:
  Constant Field Values

Method Detail

### getProtocol

    String getProtocol()

  Specifies the transport protocol for this binding. Transport protocol and endpoint is used to send and receive business document. Possible returned values are

  - HTTP
  - HTTPS
  - JMS

  Default is HTTP

### setProtocol

    void setProtocol(String newValue)
                     throws javax.management.InvalidAttributeValueException

  Registers the transport for this binding. Transport protocol and endpoint is used to send and receive business document. The transport protocol supported are

  - HTTP
  - HTTPS
  - JMS

  Parameters:
    `newValue` - - the transport protocol
  Throws:
    `javax.management.InvalidAttributeValueException` - - Invalid protocol name

### getProtocolVersion

    String getProtocolVersion()

  Specifies the transport protocol version . The transport protocol and version supported are

  - HTTP - Version 1.0, 1.1
  - HTTPS - Version 1.1
  - JMS - Version information is ignored

### setProtocolVersion

    void setProtocolVersion(String newValue)
                            throws javax.management.InvalidAttributeValueException

  Registers the transport protocol version. The transport protocol and version supported are

  - HTTP - Version 1.0, 1.1
  - HTTPS - Version 1.1
  - JMS - Version information is ignored

  Parameters:
    `newValue` - - new value for attribute ProtocolVersion
  Throws:
    `javax.management.InvalidAttributeValueException`

### getEndPoint

    String getEndPoint()

  Specifies the URL for this transport endpoint

  Returns:
    string for the end point

### setEndPoint

    void setEndPoint(String newValue)
                     throws javax.management.InvalidAttributeValueException

  Registers the URL for the Endpoint.

  Parameters:
    `newValue` - - the url of the endpoint
  Throws:
    `javax.management.InvalidAttributeValueException`

### getTimeout

    String getTimeout()

  Specifies the timeout for this transport endpoint

  Returns:
    string

### getTimeoutAsSeconds

    long getTimeoutAsSeconds()

  Specifies the timeout as seconds

### setTimeout

    void setTimeout(String newValue)
                    throws javax.management.InvalidAttributeValueException

  REgisters the timeout for the Endpoint

  Parameters:
    `newValue` - - the timeout of the endpoint
  Throws:
    `javax.management.InvalidAttributeValueException`

### addBasicAuthentication

    void addBasicAuthentication(String clientTpName,
                                String userName,
                                String password,
                                String passwordAlias)
                                throws ConfigurationException

  Deprecated. - remove password when pw store is completed

  Adds basic authentication for the client trading partner.

  Parameters:
    `userName` - - username for authentication
    `password` - - password for authentication
    `passwordAlias` - - alias name in password store
  Throws:
    `ConfigurationException`
  See Also:
    `AuthenticationMBean`

### addOneWayAuthentication

    void addOneWayAuthentication(String clientTPName,
                                 String serverCertName)
                                 throws ConfigurationException

  Adds oneway authentication for the client trading partner. For One way authentication, provide the server certificate of the client trading partner, you would be connecting to.

  Parameters:
    `serverCertName` - - Alias of the server certificate in keystore
  Throws:
    `ConfigurationException`

### addOneWayWithBasicAuthentication

    void addOneWayWithBasicAuthentication(String clientTPName,
                                          String serverCertName,
                                          String userName,
                                          String password,
                                          String passwordAlias)
                                          throws ConfigurationException

  Deprecated. - remove password when pw store completed

  Adds oneway authentication with basic for the client trading partner. For One way authentication, provide the server certificate of the client trading partner, you would be connecting to and the username/password of the local trading partner.

  Parameters:
    `serverCertName` - - Alias of the server certificate in keystore
    `userName` - - username for authentication
    `password` - - password for authentication
    `passwordAlias` - - alias name for password store
  Throws:
    `ConfigurationException`

### addMutualAuthentication

    void addMutualAuthentication(String clientTPName,
                                 String clientCertName,
                                 String serverCertName)
                                 throws ConfigurationException

  Adds mutual authentication for the client trading partner. For mutual authentication server certificate of the client trading partner must be provided, and client certificate for yourself must be provided.

  Parameters:
    `clientCertName` - - Alias of the client certificate in keystore
    `serverCertName` - - Alias of the server certificate in keystore
  Throws:
    `ConfigurationException`

### addReferenceToAuthentication

    void addReferenceToAuthentication(AuthenticationMBean mbean)
                                      throws ConfigurationException

  Internal Use Only - Adds Reference to authentication instance

  Parameters:
    `mbean` - - Authentication MBean
  Throws:
    `ConfigurationException`

### removeAuthentication

    void removeAuthentication(String clientTPName)
                              throws DeleteException

  Removes the authentication for this endpoint for the client trading partner

  Throws:
    `DeleteException`

### removeAllAuthentication

    void removeAllAuthentication()
                                 throws DeleteException

  Removes all the Authentication for this endpoint

  Throws:
    `DeleteException`

### retrieveAuthentication

    AuthenticationMBean retrieveAuthentication(String clientTPName)
                                               throws ManagementException

  Retrieves the configured authentication instance for the client trading partner

  Returns:
    authentication instance
  Throws:
    `ManagementException`

### retrieveBinding

    BindingMBean retrieveBinding()
                                 throws ManagementException

  Internal Use Only - Retrieves the binding associated for this transport

  Throws:
    `ManagementException`

### retrieveAllAuthentications

    ArrayList retrieveAllAuthentications()
                                         throws ManagementException

  Retrieves all the authentication for this endpoint

  Returns:
    an arraylist of AuthenticationMBean is returned
  Throws:
    `ManagementException`

### updateAll

    void updateAll(String protocol,
                   String protocolVersion,
                   String endpoint,
                   String timeout)
                   throws javax.management.InvalidAttributeValueException,
                          UpdateException,
                          ObjectActiveException

  Updates the transport.

  - HTTP - Version 1.0, 1.1
  - HTTPS - Version 1.1
  - JMS - Version information is ignored

  The endpoint uri is the URL where business doc would be sent or received between you and your partners for example http://localhost:7001/ebxml10/bea, could be the url specified to exchange messages with BEA using ebxml as the business protocol

  Parameters:
    `protocol` - - the protocol to be used for transport
    `protocolVersion` - - the version of the transport protocol used
    `endpoint` - - the url for the endpoint
    `timeout` - - the timeout for the endpoint
  Throws:
    `javax.management.InvalidAttributeValueException`
    `UpdateException`
    `ObjectActiveException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD